Skip to main content
POST /v1/queue-http-text-simulation-run
Starts a text run for an HTTP agent and returns simulation_run_id and simulation_result_ids.
  1. Queue the run with this endpoint.
  2. Receive each Digital Human message at the webhook in the agent settings.
  3. Send each agent reply with Send HTTP Text Message.
If you omit digital_human_ids, all Digital Humans in the simulation run. knowledge_base_id is ignored. prompt_id is deprecated. Use agent_version_id.

Headers

Request body

Response

Status codes

Example request

Example response

200
Last modified on October 21, 2026